package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.Sword;

public class Vampier extends Enemy{

    public Vampier()
    {
        super(200, 200, new Sword());
    }

    @Override
    public void HeavyAttack(Entity target) {
    target.takeDamage(((Sword) getWeapon()).getHeavyDamage());
    }
}